<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_covm.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_covm" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_covm</refname>
    <refpurpose>generates covariance matrix</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   nan_covm(X,Mode);
   nan_covm(X,Y,Mode);
   nan_covm(...,W);
   C = nan_covm(...);
   [C,N] = nan_covm(...);
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>W :</term>
      <listitem><para> weighted crosscorrelation</para></listitem></varlistentry>
   <varlistentry><term>Mode = 'M' :</term>
      <listitem><para> minimum or standard mode [default]</para></listitem></varlistentry>
   <varlistentry><term>Mode = 'E':</term>
      <listitem><para> extended mode</para></listitem></varlistentry>
   <varlistentry><term>Mode = 'D' or 'D0':</term>
      <listitem><para> detrended mode</para></listitem></varlistentry>
   <varlistentry><term>Mode = 'D1' :</term>
      <listitem><para> is the same as 'D' but uses N for scaling.</para></listitem></varlistentry>
   <varlistentry><term>C:</term>
      <listitem><para> is the scaled by N in Mode M and by (N-1) in mode D.</para></listitem></varlistentry>
   <varlistentry><term>[C,N]:</term>
      <listitem><para> C is not scaled, provides the scaling factor N</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
X and Y can contain missing values encoded with NaN.
NaN's are skipped, NaN do not result in a NaN output.
The output gives NaN only if there are insufficient input data
   </para>
   <para>
nan_covm(X,Mode);
calculates the (auto-)correlation matrix of X
   </para>
   <para>
nan_covm(X,Y,Mode);
calculates the crosscorrelation between X and Y
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_decovm">nan_decovm</link></member>
   <member><link linkend="nan_xcovf">nan_xcovf</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>H. Nahrstaedt</member>
   <member>Copyright (C) 2000-2005,2009 by Alois Schloegl a.schloegl@ieee.org</member>
   </simplelist>
</refsection>
</refentry>
